NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Member Functions | Properties | List of all members
NXOpen.Tooling.DesignTrimToolBuilder Class Reference

Represents a builder to be used to create Mold Wizard design trim tool. More...

Inheritance diagram for NXOpen.Tooling.DesignTrimToolBuilder:
NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Member Functions

unsafe NXOpen.NXObject CreateDefaultSheet (string surfaceName, NXOpen.NXObject trimPart, int sheetType, int layer)
 Create a Moldwizard default trim surface, including CORE_TRIM_SHEET, CAVITY_TRIM_SHEET, CORE_MOLD_SURFACE, CAVITY_MOLD_SURFACE. More...
 
unsafe NXOpen.Assemblies.Component CreateNewComponent (string partName, string instanceName)
 Create a new trim part component in the work part. More...
 
unsafe void SetTrimDataDetails (NXOpen.NXObject trimPart, NXOpen.NXObject sourceObjectOcc, string currentTrimSurfaceName, string previousTrimSurfaceName)
 Set details of the trim data. More...
 
- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen.TaggedObject
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
override string ToString ()
 Returns a String that represents the current Object. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Properties

unsafe int NewSurfaceLayer [get, set]
 Returns or sets the layer where the new trim surface is created. More...
 
unsafe NXOpen.SelectNXObject SourceObject [get]
 Returns the face or sheet body. More...
 
- Properties inherited from NXOpen.Builder
unsafe NXOpen.PreviewBuilder PreviewBuilder [get]
 Returns the preview builder subobject. More...
 
- Properties inherited from NXOpen.TaggedObject
Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Represents a builder to be used to create Mold Wizard design trim tool.

To create a new instance of this class, use NXOpen.Tooling.DesignTrimToolCollection.CreateDesignTrimToolBuilder

Default values.

Property Value

NewSurfaceLayer

32

Created in NX7.5.0

Member Function Documentation

unsafe NXOpen.NXObject NXOpen.Tooling.DesignTrimToolBuilder.CreateDefaultSheet ( string  surfaceName,
NXOpen.NXObject  trimPart,
int  sheetType,
int  layer 
)
inline

Create a Moldwizard default trim surface, including CORE_TRIM_SHEET, CAVITY_TRIM_SHEET, CORE_MOLD_SURFACE, CAVITY_MOLD_SURFACE.

Created in NX7.5.0

License requirements: None.

Parameters
surfaceNamethe name for the default sheet to create.
trimPartthe trim part where to create the default trim surface feature.
sheetTypethe sheet type, parting sheet or mold surface.
layerthe layer to put the new sheet feature.
Returns
the new sheet that is created.
unsafe NXOpen.Assemblies.Component NXOpen.Tooling.DesignTrimToolBuilder.CreateNewComponent ( string  partName,
string  instanceName 
)
inline

Create a new trim part component in the work part.

Created in NX7.5.0

License requirements: None.

Parameters
partNamethe part name for the new component.
instanceNamethe instance name for the new component.
Returns
the new component that is created.
unsafe void NXOpen.Tooling.DesignTrimToolBuilder.SetTrimDataDetails ( NXOpen.NXObject  trimPart,
NXOpen.NXObject  sourceObjectOcc,
string  currentTrimSurfaceName,
string  previousTrimSurfaceName 
)
inline

Set details of the trim data.

Created in NX7.5.0

License requirements: None.

Parameters
trimPartthe trim part where to create or edit or trim surface feature.
sourceObjectOccthe source object occurrence used to create a linked feature in the trim part.
currentTrimSurfaceNamethe name to set to the trim surface feature.
previousTrimSurfaceNamethe previous name of the trim surface feature.

Property Documentation

unsafe int NXOpen.Tooling.DesignTrimToolBuilder.NewSurfaceLayer
getset

Returns or sets the layer where the new trim surface is created.

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe NXOpen.SelectNXObject NXOpen.Tooling.DesignTrimToolBuilder.SourceObject
get

Returns the face or sheet body.

Created in NX7.5.0

License requirements: None.


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.